Package com.collabnet.ce.soap60.webservices.rbac

# Class RoleOperationSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.rbac.RoleOperationSoapDO

public class RoleOperationSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
Role Operation data.

Since:
  25.1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleOperationSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectTypeId()`
  Returns 'objectTypeId'.
  `String`
  `getOperationCategory()`
  Returns 'operationCategory'.
  `String`
  `getOperationName()`
  Returns 'operationName'.
  `String`
  `getResourceName()`
  Returns 'resourceName'.
  `String`
  `getResourceValue()`
  Returns 'resourceValue'.
  `String`
  `getRoleId()`
  Returns 'roleId'.
  `void`
  `setObjectTypeId(String objectTypeId)`
  Sets 'objectTypeId'.
  `void`
  `setOperationCategory(String operationCategory)`
  Sets 'operationCategory'.
  `void`
  `setOperationName(String operationName)`
  Sets 'operationName'.
  `void`
  `setResourceName(String resourceName)`
  Sets 'resourceName'.
  `void`
  `setResourceValue(String resourceValue)`
  Sets 'resourceValue'.
  `void`
  `setRoleId(String roleId)`
  Sets 'roleId'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleOperationSoapDO

    public RoleOperationSoapDO()

- ## Method Details

  - ### getRoleId

    public String getRoleId()
    Returns 'roleId'.
    Returns:
      Value of 'roleId'.

  - ### setRoleId

    public void setRoleId(String roleId)
    Sets 'roleId'.
    Parameters:
      `roleId` - Value of 'roleId'.

  - ### getOperationName

    public String getOperationName()
    Returns 'operationName'.
    Returns:
      Value of 'operationName'.

  - ### setOperationName

    public void setOperationName(String operationName)
    Sets 'operationName'.
    Parameters:
      `operationName` - Value of 'operationName'.

  - ### getOperationCategory

    public String getOperationCategory()
    Returns 'operationCategory'.
    Returns:
      Value of 'operationCategory'.

  - ### setOperationCategory

    public void setOperationCategory(String operationCategory)
    Sets 'operationCategory'.
    Parameters:
      `operationCategory` - Value of 'operationCategory'.

  - ### getResourceName

    public String getResourceName()
    Returns 'resourceName'.
    Returns:
      Value of 'resourceName'.

  - ### setResourceName

    public void setResourceName(String resourceName)
    Sets 'resourceName'.
    Parameters:
      `Value` - of 'resourceName'.

  - ### getResourceValue

    public String getResourceValue()
    Returns 'resourceValue'.
    Returns:
      Value of 'resourceValue'.

  - ### setResourceValue

    public void setResourceValue(String resourceValue)
    Sets 'resourceValue'.
    Parameters:
      `Value` - of 'resourceValue'.

  - ### getObjectTypeId

    public String getObjectTypeId()
    Returns 'objectTypeId'.
    Returns:
      Value of 'objectTypeId'.

  - ### setObjectTypeId

    public void setObjectTypeId(String objectTypeId)
    Sets 'objectTypeId'.
    Parameters:
      `Value` - of 'objectTypeId'.